commit: ec45c461f7aafd6d3e3fa1693c76d53e1218eb08
Author: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 1 19:48:48 2019 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sun Dec 1 20:16:54 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ec45c461
dev-python/owslib: python3_7
Package-Manager: Portage-2.3.80, Repoman-2.3.18
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>
dev-python/owslib/owslib-0.17.1-r1.ebuild | 42 +++++++++++++++++++++++++++++++
1 file changed, 42 insertions(+)
diff --git a/dev-python/owslib/owslib-0.17.1-r1.ebuild
b/dev-python/owslib/owslib-0.17.1-r1.ebuild
new file mode 100644
index 00000000000..29a6ac4beb8
--- /dev/null
+++ b/dev-python/owslib/owslib-0.17.1-r1.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7} )
+inherit distutils-r1
+
+DESCRIPTION="Library for client programming with Open Geospatial Consortium
web service"
+HOMEPAGE="https://geopython.github.io/OWSLib"
+SRC_URI="https://github.com/geopython/${PN}/archive/${PV}.tar.gz ->
${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+RDEPEND="
+ dev-python/pyproj[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ || (
+ dev-python/elementtree[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ )
+"
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? (
+ dev-python/pillow[${PYTHON_USEDEP}]
+ dev-python/pytest[${PYTHON_USEDEP}]
+ )
+"
+
+RESTRICT="test" # tests require WAN access
+
+S="${WORKDIR}/OWSLib-${PV}"
+
+python_test() {
+ "${EPYTHON}" "${S}/setup.py" test || die
+}